#!/bin/bash

mkdir -p "$PREFIX/bin"

# remove or replace make variables
sed -i.bak \
    -e 's#^INSTALLDIR =.*#INSTALLDIR = ${PREFIX}/bin#' \
    -e 's#^ARCH *=.*#ARCH = ${AR}#' \
    -e 's#^ARCHFLAGS *=.*#ARCHFLAGS = rcs#' \
    -e "/^CC *=/d" \
    -e "/^RANLIB *=/d" \
    make.inc

# remove absolute paths from align script
sed -i.bak \
    -e 's#".*/bin/#"#' \
    theseus_align

make
make install
